/*! ---- utilities/fonts ---- */

/*! ---- utilities/media ---- */

/*! ---- utilities/mixin ---- */

/*! ---- utilities/sizes ---- */

/*! ---- utilities/variables ---- */

/*! ---- base/base ---- */

@font-face {
  font-family: 'Roboto Light';
  src: url("/theme/fonts/Roboto-Light.ttf") format("truetype");
}

@font-face {
  font-family: 'Roboto';
  src: url("/theme/fonts/Roboto-Regular.ttf") format("truetype");
}

@font-face {
  font-family: 'Roboto SemiBold';
  src: url("/theme/fonts/Roboto-SemiBold.ttf") format("truetype");
}

@font-face {
  font-family: 'Roboto Bold';
  src: url("/theme/fonts/Roboto-Bold.ttf") format("truetype");
}

*,
*::after,
*::before {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  font-family: "Roboto", sans-serif;
  margin: 0;
  padding: 0;
}

section {
  padding-bottom: 90px;
  padding-top: 90px;
  position: relative;
}

@media (min-width: 992px) {
  section {
    min-height: 45em;
  }
}

article {
  padding-bottom: 45px;
  padding-top: 45px;
  background-color: #fff;
}

br {
  line-height: 30px;
}

hr {
  padding-bottom: 0;
  padding-top: 0;
  text-align: left;
  border-top: solid 5px;
  margin-bottom: 25px;
  margin-left: 0;
  max-width: 200px;
}

/*! ---- base/typography ---- */

h1 {
  font-weight: 700;
  text-transform: uppercase;
  text-align: center;
  font-size: 1.5rem;
  margin-bottom: 0;
}

@media (min-width: 768px) {
  h1 {
    font-size: 3.5rem;
  }
}

h2 {
  font-weight: 700;
  text-transform: uppercase;
  text-align: left;
  font-size: 2rem;
  margin-bottom: .5rem;
  margin-top: 0;
}

@media screen and (max-width: 1199px) and (min-width: 992px) {
  h2 {
    font-size: 2.3rem;
  }
}

@media (min-width: 1200px) {
  h2 {
    font-size: 3rem;
  }
}

h3 {
  text-align: left;
  font-size: 1rem;
  font-weight: 300;
  line-height: 24px;
  margin-top: 40px;
}

@media (min-width: 768px) {
  h3 {
    font-size: 1.5rem;
    line-height: 33px;
  }
}

h4 {
  font-size: 1.5rem;
  font-weight: 300;
  margin-bottom: 1rem;
  margin-top: 0;
}

p {
  font-size: 1rem;
  line-height: 1.5rem;
  margin-bottom: 30px;
  margin-top: 0;
}

a {
  color: #343a40;
  text-decoration: underline;
  -webkit-transition: ease .3s;
  transition: ease .3s;
}

a:hover,
a:focus {
  color: #b3b2b2;
  text-decoration: underline;
}

li {
  font-size: 1rem;
  line-height: 1.5rem;
}

th,
td {
  font-size: 1rem;
}

pre {
  background-color: #343a40;
  color: #fff;
  font-family: "Consolas";
  font-size: 0.8rem;
  margin: 0;
  padding: 15px;
  white-space: pre-wrap;
  word-break: break-word;
}

/*! ---- components/hr ---- */

.home-icon {
  background-color: #fff;
  color: #343a40;
  display: block;
  font-size: 2rem;
  margin-left: auto;
  margin-right: auto;
  margin-top: 20px;
  position: relative;
  text-align: center;
  width: 60px;
  z-index: 1;
}

@media (min-width: 768px) {
  .home-icon {
    font-size: 3rem;
  }
}

.hr-icon {
  background-color: #fff;
  color: #a7bed3;
  display: none;
  font-size: 2rem;
  position: absolute;
  width: 60px;
  z-index: -1;
}

@media (min-width: 768px) {
  .hr-icon {
    display: block;
    font-size: 10rem;
    right: 8rem;
    top: 3rem;
  }
}

@media (min-width: 992px) {
  .hr-icon {
    font-size: 14rem;
    right: 9rem;
    top: -1rem;
  }
}

/*! ---- components/list ---- */

ul {
  margin-bottom: 10px;
  margin-left: 0;
  margin-top: 0;
  padding-left: 20px;
}

/*! ---- components/panel-card ---- */

.card {
  background-color: #fff;
  border: 1px solid #343a40;
  border-radius: 0;
  height: 100%;
}

.card .card-header {
  text-align: center;
  background-color: #343a40;
  border-radius: 0;
  color: #fff;
  padding: 15px;
}

.card .card-header h4 {
  margin-bottom: 0;
}

.card .card-header i {
  color: #fff;
}

.card .card-body {
  border-top: 1px solid #343a40;
  padding: 1rem;
}

/*! ---- components/pre ---- */

.tag {
  color: #3b9c9c;
}

.parameter,
.style-numbers {
  color: #6aa121;
}

.class-text,
.style-text {
  color: #ffa500;
}

.plain-text {
  color: #fff;
}

.style-parameter {
  color: #9a8297;
}

.comment {
  color: #b3b2b2;
}

/*! ---- components/progress ---- */

.progress {
  border: 1px solid #343a40;
  height: 2.5em;
  margin-bottom: 1rem;
}

.progress:last-child {
  margin-bottom: 0;
}

.progress .progress-bar {
  display: inline-block;
  height: 2.4em;
  line-height: 2.5;
  margin-right: 1rem;
  padding-left: 1rem;
}

.progress span {
  line-height: 2.5;
  position: absolute;
}

/*! ---- components/single-card ---- */

.single-card {
  background-color: #fff;
  border: 1px solid #343a40;
  border-radius: 0;
  padding: 30px;
}

.single-card p {
  text-align: center;
}

.single-card p:last-child {
  margin-bottom: 0;
}

/*! ---- components/sub-menu ---- */

.sub-menu {
  max-width: 350px;
}

.sub-menu .card-body {
  padding: 0;
}

.sub-menu a {
  text-decoration: none;
}

.sub-menu a:hover,
.sub-menu a:focus {
  color: #343a40;
  font-weight: bold;
}

.sub-menu table {
  margin-top: 0;
}

.sub-menu table td {
  border: 0;
  padding-bottom: 10px;
  padding-left: 0;
  padding-right: 1rem;
  padding-top: 10px;
}

.sub-menu table td i {
  padding-left: 1rem;
}

.sub-menu table .active {
  font-weight: 700;
}

@media (max-width: 575px) {
  .sub-menu td {
    margin-bottom: 0;
    padding-left: 20px;
  }
}

/*! ---- components/table ---- */

table {
  border-collapse: collapse;
  margin-top: 30px;
  width: 100%;
}

table tr:nth-child(even) {
  background: #a7bed3;
}

table tr:nth-child(odd) {
  background: #fff;
}

table thead,
table th {
  background-color: #343a40;
  border: 1px solid #343a40;
  color: #fff;
}

table td {
  border: 1px solid #343a40;
  vertical-align: top;
}

@media (max-width: 575px) {
  table,
  thead,
  tbody,
  th,
  tr {
    display: block;
  }

  td:not(.sub-menu-list) {
    display: block;
  }

  table thead {
    border: 0;
  }

  table thead tr {
    left: -9999px;
    position: absolute;
    top: -9999px;
  }

  th {
    padding: 0;
  }

  td {
    border: 1px solid #343a40;
    margin-bottom: 15px;
    padding-bottom: 20px;
    padding-left: 25%;
    padding-right: 20px;
    padding-top: 20px;
    position: relative;
  }
}

@media (min-width: 576px) {
  th {
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
  }

  tbody td {
    padding: 20px;
  }
}

/*! ---- components/tabs ---- */

.tabs {
  list-style: none;
  margin: 0;
  padding: 0;
}

.tabs a {
  background: #fff;
  border: 1px solid #343a40;
  cursor: pointer;
  display: block;
  margin-bottom: 1rem;
  padding-bottom: 10px;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
  text-align: center;
  text-decoration: none;
}

.tabs a:hover,
.tabs a:focus,
.tabs a.current {
  background: #343a40;
  color: #fff;
}

.tab-content {
  background: #fff;
  border: 1px solid #343a40;
  display: none;
  margin-bottom: 1rem;
  padding: 15px;
}

.tab-content.current {
  display: block;
}

/*! ---- components/accordion ---- */

.accordion-toggle {
  background-color: #343a40;
  border-bottom: 1px solid #fff;
  color: #fff;
  cursor: pointer;
  margin-bottom: 0;
  padding: 1rem;
}

.accordion-toggle.toggle-last {
  border-bottom: 0;
}

.accordion-content {
  background-color: #fff;
  display: none;
  padding: 1rem;
}

.accordion-content.default {
  display: block;
}

.accordion-content td {
  margin-bottom: 0;
}

/*! ---- components/news-item ---- */

.news-item {
  background-color: #fff;
  border: solid 1px #343a40;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  height: 100%;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 20px;
}

.news-item .news-item-image {
  width: 25rem;
}

.news-item .news-item-image img {
  display: block;
  padding-bottom: 20px;
  width: 100%;
}

.news-item .news-item-image small {
  display: block;
}

.news-item .news-item-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  padding-left: 20px;
  width: 75rem;
}

.news-item .news-item-content h3 {
  margin-top: 0;
}

.news-item .news-item-content .button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-top: auto;
}

/*! ---- components/button ---- */

.button {
  background-color: #343a40;
  color: #fff;
  padding-bottom: 10px;
  padding-left: 15px;
  padding-right: 15px;
  padding-top: 10px;
  text-decoration: none;
  width: -webkit-max-content;
  width: -moz-max-content;
  width: max-content;
}

/*! ---- themes/theme ---- */

.bg-color-blue {
  background-color: #a7bed3;
}

.dark-color {
  color: #343a40;
}

@media (min-width: 768px) {
  .margin-indent {
    margin-left: 3rem;
    padding-right: 3rem;
  }
}

@media (max-width: 991px) {
  .not-home .margin-indent {
    padding-bottom: 35px;
    padding-top: 45px;
  }
}

/*! ---- layout/navigation ---- */

.navbar {
  background-color: #343a40;
  overflow: hidden;
}

.navbar ul {
  margin-bottom: 0;
  padding-left: 0;
}

.navbar .nav-link {
  display: block;
  float: left;
  line-height: 1;
  margin-left: .75rem;
  margin-right: .75rem;
  text-align: center;
}

.navbar .nav-link a {
  color: #b3b2b2;
  text-decoration: none;
  text-transform: uppercase;
}

.navbar .nav-link a:hover,
.navbar .nav-link a:focus,
.navbar .nav-link a.active {
  color: #fff;
}

.navbar .nav-link a .fa-bars {
  font-size: 1.7rem;
}

.navbar .navbar-brand {
  color: #fff;
  float: left;
  font-size: 17px;
  font-weight: 400;
  text-decoration: none;
  text-transform: none;
}

.navbar .navbar-brand:hover,
.navbar .navbar-brand:focus {
  color: #fff;
  text-decoration: none;
}

.navbar .navbar-brand i {
  color: #fff;
  margin-right: 15px;
  vertical-align: middle;
}

@media (min-width: 768px) {
  .nav-item-right {
    float: right;
  }

  .navbar-brand {
    margin-bottom: 15px;
    margin-top: 15px;
  }

  .nav-panel {
    margin-bottom: 25px;
    margin-top: 25px;
  }
}

@media (min-width: 992px) {
  .nav-panel {
    margin-bottom: 20px;
    margin-top: 24px;
  }
}

@media screen and (max-width: 991px) and (min-width: 768px) {
  .nav-link {
    font-size: 12px;
    margin-left: .5rem;
    margin-right: .5rem;
  }

  .navbar-brand {
    font-size: 16px;
  }
}

@media (max-width: 767px) {
  .navbar {
    padding-bottom: 1rem;
    padding-top: 1rem;
  }

  .navbar .nav-panel {
    clear: both;
    display: none;
  }

  .navbar ul {
    display: inline-block;
    padding-top: 2rem;
  }

  .navbar .nav-link {
    margin-left: 0;
    margin-right: 0;
    padding-bottom: 15px;
    text-align: left;
    width: 100%;
  }

  .navbar a.icon {
    color: #b3b2b2;
    cursor: pointer;
    display: block;
    float: right;
    font-size: 20px;
    margin-top: 3px;
  }

  .navbar a.icon:hover {
    color: #fff;
  }
}

/*! ---- layout/main ---- */

.margin-space,
.margin-space-last,
.margin-space-full {
  margin-bottom: 30px;
}

@media (max-width: 991px) {
  .margin-space,
  .margin-space-last {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .margin-space-last {
    margin-bottom: 0;
  }

  .margin-space {
    margin-bottom: 30px;
  }
}

.card p:last-child {
  margin-bottom: 0;
}

.card ul {
  margin-bottom: 0;
}

.card li {
  margin-bottom: 10px;
}

.card li:last-child {
  margin-bottom: 0;
}

.border-bottom-white {
  border-bottom: 1px solid #fff;
}

.text-center {
  text-align: center;
}

/*! ---- layout/container ---- */

.wrapper {
  margin-left: auto;
  margin-right: auto;
  padding-left: 15px;
  padding-right: 15px;
  width: 100%;
}

.container {
  margin-bottom: 0;
  margin-left: auto;
  margin-right: auto;
  margin-top: 0;
  padding-left: 15px;
  padding-right: 15px;
  width: 100%;
}

.container .wrapper {
  padding-left: 0;
  padding-right: 0;
}

@media (max-width: 575px) {
  .container {
    max-width: 540px;
  }
}

@media (min-width: 768px) {
  .container {
    max-width: 720px;
  }
}

@media (min-width: 992px) {
  .container {
    max-width: 960px;
  }
}

@media (min-width: 1200px) {
  .container {
    max-width: 1140px;
  }
}

/*! ---- layout/grid ---- */

.flex-row,
.flex-reverse-row {
  display: block;
  margin-left: -15px;
  margin-right: -15px;
}

@media (min-width: 576px) {
  .flex-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }

  .flex-reverse-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
            flex-direction: row-reverse;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
}

[class*='col-'] {
  display: block;
  float: none;
  padding-left: 15px;
  padding-right: 15px;
  width: 100%;
}

@media (min-width: 768px) {
  [class*='col-'] {
    float: left;
  }
}

@media (min-width: 1200px) {
  .col-l-1 {
    width: 8.33333333%;
  }

  .col-l-2 {
    width: 16.66666666%;
  }

  .col-l-3 {
    width: 25%;
  }

  .col-l-4 {
    width: 33.33333333%;
  }

  .col-l-5 {
    width: 41.66666667%;
  }

  .col-l-6 {
    width: 50%;
  }

  .col-l-7 {
    width: 58.33333333%;
  }

  .col-l-8 {
    width: 66.66666667%;
  }

  .col-l-9 {
    width: 75%;
  }

  .col-l-10 {
    width: 83.33333333%;
  }

  .col-l-11 {
    width: 91.66666667%;
  }

  .col-l-12 {
    float: none;
    width: 100%;
  }
}

@media (max-width: 1199px) and (min-width: 992px) {
  .col-m-1 {
    width: 8.33333333%;
  }

  .col-m-2 {
    width: 16.66666666%;
  }

  .col-m-3 {
    width: 25%;
  }

  .col-m-4 {
    width: 33.33333333%;
  }

  .col-m-5 {
    width: 41.66666667%;
  }

  .col-m-6 {
    width: 50%;
  }

  .col-m-7 {
    width: 58.33333333%;
  }

  .col-m-8 {
    width: 66.66666667%;
  }

  .col-m-9 {
    width: 75%;
  }

  .col-m-10 {
    width: 83.33333333%;
  }

  .col-m-11 {
    width: 91.66666667%;
  }

  .col-m-12 {
    float: none;
    width: 100%;
  }
}

@media (max-width: 991px) and (min-width: 768px) {
  .col-s-1 {
    width: 8.33333333%;
  }

  .col-s-2 {
    width: 16.66666666%;
  }

  .col-s-3 {
    width: 25%;
  }

  .col-s-4 {
    width: 33.33333333%;
  }

  .col-s-5 {
    width: 41.66666667%;
  }

  .col-s-6 {
    width: 50%;
  }

  .col-s-7 {
    width: 58.33333333%;
  }

  .col-s-8 {
    width: 66.66666667%;
  }

  .col-s-9 {
    width: 75%;
  }

  .col-s-10 {
    width: 83.33333333%;
  }

  .col-s-11 {
    width: 91.66666667%;
  }

  .col-s-12 {
    float: none;
    width: 100%;
  }
}

@media (max-width: 767px) and (min-width: 576px) {
  .col-xs-1 {
    width: 8.33333333%;
  }

  .col-xs-2 {
    width: 16.66666666%;
  }

  .col-xs-3 {
    width: 25%;
  }

  .col-xs-4 {
    width: 33.33333333%;
  }

  .col-xs-5 {
    width: 41.66666667%;
  }

  .col-xs-6 {
    width: 50%;
  }

  .col-xs-7 {
    width: 58.33333333%;
  }

  .col-xs-8 {
    width: 66.66666667%;
  }

  .col-xs-9 {
    width: 75%;
  }

  .col-xs-10 {
    width: 83.33333333%;
  }

  .col-xs-11 {
    width: 91.66666667%;
  }

  .col-xs-12 {
    float: none;
    width: 100%;
  }
}

/*! ---- layout/footer ---- */

.footer {
  background-color: #343a40;
  color: #fff;
  padding-bottom: 50px;
  padding-top: 50px;
  width: 100%;
}

.footer p:last-child {
  margin-bottom: 0;
}

.footer a {
  color: #b3b2b2;
  text-decoration: none;
}

.footer a:hover,
.footer a:focus {
  color: #fff;
  text-decoration: none;
}

/*! ---- pages/home ---- */

@media (min-width: 768px) {
  .home .main {
    padding-bottom: 0;
    padding-top: 0;
    position: relative;
    top: -66px;
    z-index: -1;
  }
}

.home .intro {
  padding-bottom: 5rem;
  padding-top: 5rem;
}

@media (min-width: 992px) {
  .home .intro {
    padding-bottom: 10rem;
    padding-top: 10rem;
  }
}

.home .subtitle {
  text-align: center;
  display: block;
  font-size: 1rem;
  font-weight: 300;
  margin-top: 40px;
}

@media (min-width: 768px) {
  .home .subtitle {
    font-size: 1.5rem;
  }
}

.home hr {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  margin-top: -20px;
  max-width: 250px;
}

@media (min-width: 768px) {
  .home hr {
    margin-top: -26px;
  }
}

.home h3 {
  text-align: center;
}

@media (min-width: 768px) {
  .home .footer {
    bottom: 0;
    position: absolute;
  }
}

/*! ---- pages/parameters ---- */

.main--parameters .margin-space,
.main--parameters .margin-space-second-last,
.main--parameters .margin-space-last {
  margin-bottom: 30px;
}

@media (max-width: 991px) {
  .main--parameters .margin-space-second-last,
  .main--parameters .margin-space-last {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .main--parameters .margin-space-second-last {
    margin-bottom: 30px;
  }
}

/*! ---- pages/cms-testing ---- */

.main--cms-testing .margin-space,
.main--cms-testing .margin-space-second-last,
.main--cms-testing .margin-space-last {
  margin-bottom: 30px;
}

@media (max-width: 991px) {
  .main--cms-testing .margin-space-second-last,
  .main--cms-testing .margin-space-last {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .main--cms-testing .margin-space-second-last {
    margin-bottom: 30px;
  }
}

/*! ---- pages/code-structure ---- */

.main--code-structure .card .card-body {
  padding: 0;
}

@media (max-width: 575px) {
  .code-tips {
    margin-top: 0;
  }

  .code-tips td::before {
    left: 20px;
    padding-right: 10px;
    position: absolute;
    white-space: nowrap;
  }

  .code-tips td:nth-of-type(1)::before {
    content: 'Do';
  }

  .code-tips td:nth-of-type(2)::before {
    content: 'Don\'t';
  }
}

/*! ---- pages/w3c-compliance ---- */

.list-space {
  margin-bottom: 30px;
}

/*! ---- pages/accessibility ---- */

.main--accessibility-testing table {
  margin-top: 0;
}

.main--accessibility-testing th {
  width: 25%;
}

.main--accessibility-testing .card {
  height: auto;
}

@media (max-width: 575px) {
  .main--accessibility-testing th {
    padding-bottom: 15px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 15px;
    width: 100%;
  }

  .main--accessibility-testing td {
    padding-left: 20px;
  }

  .main--accessibility-testing td:nth-of-type(1)::before,
  .main--accessibility-testing td:nth-of-type(2)::before {
    content: none;
  }

  .main--accessibility-testing tr:last-child td {
    margin-bottom: 0;
  }
}

/*! ---- pages/security ---- */

.main--security .margin-space,
.main--security .margin-space-second-last,
.main--security .margin-space-last {
  margin-bottom: 30px;
}

@media (max-width: 991px) {
  .main--security .margin-space-second-last,
  .main--security .margin-space-last {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .main--security .margin-space-second-last {
    margin-bottom: 30px;
  }
}

/*! ---- pages/email-client-testing ---- */

.main--email-client-testing .chart p {
  margin-bottom: 0;
}

/*! ---- pages/browser-testing ---- */

.main--browser-testing .chart p {
  margin-bottom: 0;
}

.main--browser-testing .margin-space,
.main--browser-testing .margin-space-second-last,
.main--browser-testing .margin-space-last {
  margin-bottom: 30px;
}

@media (max-width: 991px) {
  .main--browser-testing .margin-space-second-last,
  .main--browser-testing .margin-space-last {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .main--browser-testing .margin-space-second-last {
    margin-bottom: 30px;
  }
}

